/*
Name: Chirag Mandan
Email: chirag.mandan@lexisnexis.com
DataSource:Bureau of Transportation Statistics
(On-Time performance statistics of the Airlines for February 2011)
*/

//**Query**
//on a given day in february, give me all the flights that got delayed by more than 15 minutes
//and the causes of delay for each one 

import airline_performance_monitor;

//filter set to day of the month(february in this case)
datefilter := '1';
FetchDelayedFlightsByDate := 
		FETCH(airline_performance_monitor.File_FlightData,
					airline_performance_monitor.IDX_FlightsByDate(DayOfMonth = datefilter,ArrDelay >= 15),
					RIGHT.fpos);

OUTPUT(choosen(FetchDelayedFlightsByDate,1000),{FlightDate,AirlineDescription,FlightNumber,DelayCause},named('DelayedFlightsByDate'));